Subject: Re: EDNS1

From: Paul Vixie <[email-masked]>
Date: Wed, 21 Aug 2002 20:37:26 +0000

> This does not rime well with DNSSEC.  How about the following?
> 
>   4.6. If request FM was not set but QDCOUNT>1, then an initiator can
>   infer the absence of any RRs for one of the QTYPEs if the response
>   either contains no RRs of that type but some RRs for one of the
>   other QTYPEs present, or contains NXT/SIG RRs that indicate the
>   absence of RRs of the QTYPE, depending on local security policy.

done.

> I don't find any discussion of how the additional field is populated
> by intermediate servers.  Say I query for (foo.example.org, IN, MX
> CERT), will the intermediate add any additional A records returned for
> the MX query to the initial client?

how about:

4.7. Negative caching and additional data processing shall be performed as
if successive queries had been initiated with QDCOUNT=1 and successive QTYPEs.

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/namedroppers/>